org.apache.olingo.commons.api.edm.provider

## Class CsdlOperation

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlOperation

- All Implemented Interfaces:
    CsdlAnnotatable, CsdlNamed
  Direct Known Subclasses:
    CsdlAction, CsdlFunction

      public abstract class CsdlOperation
      extends CsdlAbstractEdmItem
      implements CsdlNamed, CsdlAnnotatable

  The type Csdl operation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<CsdlAnnotation>` | `annotations` The Annotations.
    `protected String` | `entitySetPath` The Entity set path.
    `protected boolean` | `isBound` The Is bound.
    `protected String` | `name` The Name.
    `protected List<CsdlParameter>` | `parameters` The Parameters.
    `protected CsdlReturnType` | `returnType` The Return type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlOperation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `String` | `getEntitySetPath()` Gets entity set path.
    `String` | `getName()` Gets name.
    `CsdlParameter` | `getParameter(String name)` Gets parameter.
    `List<CsdlParameter>` | `getParameters()` Gets parameters.
    `CsdlReturnType` | `getReturnType()` Gets return type.
    `boolean` | `isBound()` Is bound.
    `CsdlOperation` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlOperation` | `setBound(boolean isBound)` Sets as bound operation.
    `CsdlOperation` | `setEntitySetPath(String entitySetPath)` Sets entity set path.
    `CsdlOperation` | `setName(String name)` Sets name.
    `CsdlOperation` | `setParameters(List<CsdlParameter> parameters)` Sets parameters.
    `CsdlOperation` | `setReturnType(CsdlReturnType returnType)` Sets return type.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

      The Name.

    - #### isBound

          protected boolean isBound

      The Is bound.

    - #### entitySetPath

          protected String entitySetPath

      The Entity set path.

    - #### parameters

          protected List<CsdlParameter> parameters

      The Parameters.

    - #### returnType

          protected CsdlReturnType returnType

      The Return type.

    - #### annotations

          protected List<CsdlAnnotation> annotations

      The Annotations.

  - ### Constructor Detail

    - #### CsdlOperation

          public CsdlOperation()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `CsdlNamed`
      Gets name.
      Specified by:
        `getName` in interface `CsdlNamed`
      Returns:
        the name

    - #### setName

          public CsdlOperation setName(String name)

      Sets name.
      Parameters:
        `name` - the name
      Returns:
        the name

    - #### isBound

          public boolean isBound()

      Is bound.
      Returns:
        the boolean

    - #### setBound

          public CsdlOperation setBound(boolean isBound)

      Sets as bound operation.
      Parameters:
        `isBound` - the is bound
      Returns:
        the bound

    - #### getEntitySetPath

          public String getEntitySetPath()

      Gets entity set path.
      Returns:
        the entity set path

    - #### setEntitySetPath

          public CsdlOperation setEntitySetPath(String entitySetPath)

      Sets entity set path.
      Parameters:
        `entitySetPath` - the entity set path
      Returns:
        the entity set path

    - #### getParameters

          public List<CsdlParameter> getParameters()

      Gets parameters.
      Returns:
        the parameters

    - #### getParameter

          public CsdlParameter getParameter(String name)

      Gets parameter.
      Parameters:
        `name` - the name
      Returns:
        the parameter

    - #### setParameters

          public CsdlOperation setParameters(List<CsdlParameter> parameters)

      Sets parameters.
      Parameters:
        `parameters` - the parameters
      Returns:
        the parameters

    - #### getReturnType

          public CsdlReturnType getReturnType()

      Gets return type.
      Returns:
        the return type

    - #### setReturnType

          public CsdlOperation setReturnType(CsdlReturnType returnType)

      Sets return type.
      Parameters:
        `returnType` - the return type
      Returns:
        the return type

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlOperation setAnnotations(List<CsdlAnnotation> annotations)

      Sets a list of annotations
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.